QGIS Application - Feature request #5707
Split v.generalize GRASS module in two
2012-06-01 08:26 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/GRASS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15232
Description

See #2758

Associated revisions

Revision 1¢585a14 - 2016-02-27 11:27 AM - Alexander Bruy

Merge pull request #2776 from medspx/processing_split_vgeneralize

[processing] split v.generalize (fix #5707)

History

#1 - 2014-10-04 11:52 AM - Giovanni Manghi
- Category deleted (59)
- Project changed from 78 to QGIS Application

#2 - 2014-10-04 11:53 AM - Giovanni Manghi
- Category set to Processing/GRASS

#3 - 2016-02-09 12:13 PM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

I've made a Pull-Request for this feature request.

As said, I've chosen to split v.generalize in 4 parts because now in GRASS7, there are 4 different groups of algorithms:

- simplification
- smoothing
- displacement

- network

The displayed parameters have been limited to parameters that are actually used by the group of algorithm, resulting in a much more easier to use

algorithms.

| have made some tests with all the different algorithms and it seems to work without bug.

Feel free to test, review and make comments if needed !
https://github.com/qgis/QGIS/pull/2776

#4 - 2016-02-27 02:27 AM - Alexander Bruy
- Status changed from In Progress to Closed

Fixed in changeset commit:"1c585a14¢88831bb25e2dfe29b8169e07d8b767b".
